package com.iden.bms.controller;




import com.iden.bms.service.SysMenuService;
import com.iden.common.util.Result;
import com.iden.common.util.WebPageUtils;

import com.iden.common.vo.SysMenuVO;
import com.iden.common.vo.UserLoginedConvertVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;


/**
 * @author
 * @version 1.0.0 创建于 2019-12-04
 **/
@RestController
@Api(value = "LoginController", tags = { "菜单管理" })
@Slf4j
@RequestMapping("/bms/sysmenu")
public class SysMenuController {

    @Resource
    private SysMenuService sysMenuService;


    @ApiOperation(value = "根据登录用户查询权限菜单全部列表", notes = "根据登录用户查询权限菜单全部列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "header", required = true, name = "token", dataType = "String", value = "token验证信息")
    })
    @GetMapping(value = "/queryPrivMenus", produces = "application/json;charset=utf-8")
    public Result<List<SysMenuVO>> queryPrivMenus(HttpServletRequest request,
                                                  @RequestHeader(name = "token", required = true) String token) {
        try {
            UserLoginedConvertVO loginUser = WebPageUtils.getCurrentLoginedUser(request);
            List<SysMenuVO> list = this.sysMenuService.queryPrivMenus(loginUser.getId());
            return Result.success(list);
        } catch (Exception e) {
            e.printStackTrace();
            return Result.error( "获取菜单列表失败");
        }
    }

}
