package com.iden.bms.service;




import com.iden.common.service.IdenSysMenuService;
import com.iden.common.vo.SysMenuVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/7/14
 * @Desc:
 */
@Service
public class SysMenuService {
    @Resource
    private IdenSysMenuService idenSysMenuService;


    public List<SysMenuVO> queryPrivMenus(Long userId) {
        List<SysMenuVO> topMenus = idenSysMenuService.getTopMenus(userId);
        if (topMenus == null) {
            return null;
        }
        for (int i = 0; i < topMenus.size(); i++) {
            SysMenuVO vo = topMenus.get(i);
            vo.setChildren(idenSysMenuService.findChildMenus(vo.getId()));
        }

        //递归移除非本用户的权限菜单，并将子菜单为null的置为[]
        removeNotUserMenu(userId, topMenus);

        return topMenus;
    }

    /**
     * 去除递归查询出的菜单中不属于指定用户的菜单信息
     *
     * @param userId
     * @param topMenus
     */
    private void removeNotUserMenu(Long userId, List<SysMenuVO> topMenus) {
        for (int i = 0; i < topMenus.size(); i++) {
            SysMenuVO vo = topMenus.get(i);
            if (userId != vo.getUserId()) {
                topMenus.remove(i);
                i--;
                continue;
            }

            if (vo.getChildren() != null && vo.getChildren().size() > 0) {
                removeNotUserMenu(userId, vo.getChildren());
            } else {
                vo.setChildren(new ArrayList<>());
            }
        }
    }
}
