package com.iden.bms.service;

import cn.hutool.core.bean.BeanUtil;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.iden.common.entity.IdenWarningRuleEveningComming;
import com.iden.common.entity.IdenWarningRuleResident;
import com.iden.common.entity.IdenWarningRuleStranger;
import com.iden.common.enums.WarningTypeEnum;
import com.iden.common.service.IdenWarningRuleEveningCommingService;
import com.iden.common.service.IdenWarningRuleResidentService;
import com.iden.common.service.IdenWarningRuleStrangerService;
import com.iden.common.vo.*;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
@Service
public class WarningRuleService {

    @Resource
    private IdenWarningRuleStrangerService idenWarningRuleStrangerService;
    @Resource
    private IdenWarningRuleResidentService idenWarningRuleResidentService;
    @Resource
    private IdenWarningRuleEveningCommingService idenWarningRuleEveningCommingService;


    /**
     * 详情
     * @return
     */
    public WarningRuleVO getAllWarningRuleInfo(){
        WarningRuleVO resVO = new WarningRuleVO();
        QueryWrapper<IdenWarningRuleStranger> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().orderByDesc(IdenWarningRuleStranger::getModifyTime);
        queryWrapper.last("limit 1");
        IdenWarningRuleStranger idenWarningRuleStranger = this.idenWarningRuleStrangerService.getOne(queryWrapper);
        if (idenWarningRuleStranger != null){
            WarningRuleStrangerVO warningRuleStrangerVO = new WarningRuleStrangerVO();
            BeanUtil.copyProperties(idenWarningRuleStranger,warningRuleStrangerVO);
            resVO.setWarningRuleStrangerVO(warningRuleStrangerVO);
        }

        QueryWrapper<IdenWarningRuleResident> queryWrapper1 = new QueryWrapper<>();
        queryWrapper1.lambda().orderByDesc(IdenWarningRuleResident::getModifyTime);
        queryWrapper1.last("limit 1");
        IdenWarningRuleResident idenWarningRuleResident = this.idenWarningRuleResidentService.getOne(queryWrapper1);
        if (idenWarningRuleResident != null){
            WarningRuleResidentVO warningRuleResidentVO = new WarningRuleResidentVO();
            BeanUtil.copyProperties(idenWarningRuleResident,warningRuleResidentVO);
            resVO.setWarningRuleResidentVO(warningRuleResidentVO);
        }


        QueryWrapper<IdenWarningRuleEveningComming> queryWrapper2 = new QueryWrapper<>();
        queryWrapper2.lambda().orderByAsc(IdenWarningRuleEveningComming::getCreateTime);
       List<IdenWarningRuleEveningComming> idenWarningRuleEveningCommings = this.idenWarningRuleEveningCommingService.list(queryWrapper2);
        if (CollUtil.isNotEmpty(idenWarningRuleEveningCommings)){
            List<WarningRuleEveningCommingVO> vos = new ArrayList<>();
            idenWarningRuleEveningCommings.forEach(item-> {
                WarningRuleEveningCommingVO warningRuleEveningCommingVO = new WarningRuleEveningCommingVO();
                BeanUtil.copyProperties(item, warningRuleEveningCommingVO);
                vos.add(warningRuleEveningCommingVO);

            });
            resVO.setWarningRuleEveningCommingVO(vos);
        }

        return resVO;
    }

    /**
     * 详情
     * @return
     */
    public WarningRuleVO getWarningRuleInfoByType(String type){
        if(WarningTypeEnum.STRANGER.getValue().equals(type)){
            WarningRuleVO resVO = new WarningRuleVO();
            QueryWrapper<IdenWarningRuleStranger> queryWrapper = new QueryWrapper<>();
            queryWrapper.lambda().orderByDesc(IdenWarningRuleStranger::getModifyTime);
            queryWrapper.last("limit 1");
            IdenWarningRuleStranger idenWarningRuleStranger = this.idenWarningRuleStrangerService.getOne(queryWrapper);
            if (idenWarningRuleStranger != null){
                WarningRuleStrangerVO warningRuleStrangerVO = new WarningRuleStrangerVO();
                BeanUtil.copyProperties(idenWarningRuleStranger,warningRuleStrangerVO);
                resVO.setWarningRuleStrangerVO(warningRuleStrangerVO);
            }
            return resVO;
        }

        if(WarningTypeEnum.RESIDENT.getValue().equals(type)) {
            WarningRuleVO resVO = new WarningRuleVO();
            QueryWrapper<IdenWarningRuleResident> queryWrapper1 = new QueryWrapper<>();
            queryWrapper1.lambda().orderByDesc(IdenWarningRuleResident::getModifyTime);
            queryWrapper1.last("limit 1");
            IdenWarningRuleResident idenWarningRuleResident = this.idenWarningRuleResidentService.getOne(queryWrapper1);
            if (idenWarningRuleResident != null) {
                WarningRuleResidentVO warningRuleResidentVO = new WarningRuleResidentVO();
                BeanUtil.copyProperties(idenWarningRuleResident, warningRuleResidentVO);
                resVO.setWarningRuleResidentVO(warningRuleResidentVO);
            }
            return resVO;
        }

        if(WarningTypeEnum.EVENING_COMMING.getValue().equals(type)) {
            WarningRuleVO resVO = new WarningRuleVO();
            QueryWrapper<IdenWarningRuleEveningComming> queryWrapper2 = new QueryWrapper<>();
            queryWrapper2.lambda().orderByAsc(IdenWarningRuleEveningComming::getCreateTime);
            List<IdenWarningRuleEveningComming> idenWarningRuleEveningCommings = this.idenWarningRuleEveningCommingService.list(queryWrapper2);
            if (CollUtil.isNotEmpty(idenWarningRuleEveningCommings)) {
                List<WarningRuleEveningCommingVO> vos = new ArrayList<>();
                idenWarningRuleEveningCommings.forEach(item -> {
                    WarningRuleEveningCommingVO warningRuleEveningCommingVO = new WarningRuleEveningCommingVO();
                    BeanUtil.copyProperties(item, warningRuleEveningCommingVO);
                    vos.add(warningRuleEveningCommingVO);

                });
                resVO.setWarningRuleEveningCommingVO(vos);
            }
            return resVO;
        }

       return null;
    }



    /**
     * 修改
     * @param vo
     */
    @Transactional(rollbackFor = Exception.class)
    public void updateWarningRule(WarningRuleVO vo) {
        WarningRuleStrangerVO warningRuleStrangerVO = vo.getWarningRuleStrangerVO();
        IdenWarningRuleStranger idenWarningRuleStranger = new IdenWarningRuleStranger();
        BeanUtil.copyProperties(warningRuleStrangerVO,idenWarningRuleStranger);
        this.idenWarningRuleStrangerService.updateById(idenWarningRuleStranger);

        WarningRuleResidentVO warningRuleResidentVO = vo.getWarningRuleResidentVO();
        IdenWarningRuleResident idenWarningRuleResident = new IdenWarningRuleResident();
        BeanUtil.copyProperties(warningRuleResidentVO,idenWarningRuleResident);
        this.idenWarningRuleResidentService.updateById(idenWarningRuleResident);

        List<WarningRuleEveningCommingVO> warningRuleEveningCommingVOS = vo.getWarningRuleEveningCommingVO();
        if(CollUtil.isNotEmpty(warningRuleEveningCommingVOS)){
            List<IdenWarningRuleEveningComming> idenWarningRuleEveningCommings = new ArrayList<>();
            warningRuleEveningCommingVOS.forEach(item->{
                IdenWarningRuleEveningComming idenWarningRuleEveningComming = new IdenWarningRuleEveningComming();
                BeanUtil.copyProperties(item,idenWarningRuleEveningComming);
                idenWarningRuleEveningCommings.add(idenWarningRuleEveningComming);
            });
            QueryWrapper<IdenWarningRuleEveningComming> queryWrapper = new QueryWrapper<>();
            //删除原来的,添加新的
            if(this.idenWarningRuleEveningCommingService.remove(queryWrapper)){
                this.idenWarningRuleEveningCommingService.saveBatch(idenWarningRuleEveningCommings);
            }
        }
    }
}