package com.iden.common.config;

import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.stereotype.Component;

import java.util.Map;
/**
 * @author javadoc
 * @version 1.0
 * @description  应用程序服务工具类
 * @date 2021/1/10 14:20
 */
@Component
public class SpringApplicationUtils  implements ApplicationContextAware {
    private static ApplicationContext applicationContext = null;

    /**
     * 获取applicationContext
     *
     * @return
     */
    public static ApplicationContext getApplicationContext() {
        return applicationContext;
    }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext)  {
        if (SpringApplicationUtils.applicationContext == null) {
            setContext(applicationContext);
        }
    }

    public static synchronized void setContext(ApplicationContext applicationContext) {
        SpringApplicationUtils.applicationContext = applicationContext;
    }

        /**
         * 通过name获取 Bean.
         */
    public static Object getBean(String name) {
        return getApplicationContext().getBean(name);
    }

    /**
     * 通过class获取Bean.
     *
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> T getBean(Class<T> clazz) {
        return getApplicationContext().getBean(clazz);
    }

    /**
     * 通过name,以及Clazz返回指定的Bean
     *
     * @param name
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> T getBean(String name, Class<T> clazz) {
        return getApplicationContext().getBean(name, clazz);
    }

    /**
     * 获取指定类型的所有bean实例
     *
     * @param clazz
     * @param <T>
     * @return
     */
    public static <T> Map<String, T> getBeansOfType(Class<T> clazz) {
        return  getApplicationContext().getBeansOfType(clazz);
    }
}