package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 预警人员表(IdenWarningPerson)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-27 12:54:39
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_person")
@ApiModel(value = "预警人员表", description = "")
public class IdenWarningPerson implements Serializable {
    private static final long serialVersionUID = -29739343678149348L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("唯一生物学标识")
    @TableField("UID")
    private String uid;

    @ApiModelProperty("数据日期（yyyyMMdd)")
    @TableField("DATA_DATE")
    private String dataDate;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;

    @ApiModelProperty("人脸特征码")
    @TableField("FEAT_PTR")
    private String featPtr;

    @ApiModelProperty("出现小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("出现小区编号")
    @TableField("COMMUNITY_CODE")
    private String communityCode;


    @ApiModelProperty("出现小区名称")
    @TableField("COMMUNITY_NAME")
    private String communityName;


    @ApiModelProperty("出现区域")
    @TableField("DISTRICT")
    private String district;


    @ApiModelProperty("出现街道")
    @TableField("SUBDISTRICT")
    private String subdistrict;


    @ApiModelProperty("出现频次")
    @TableField("APPEAR_FREQUENCY")
    private Integer appearFrequency;

    @ApiModelProperty("1月内-7天出现情况，1连续出现，0未连续出现")
    @TableField("IS_CONTINUE")
    private String isContinue;

    @ApiModelProperty("最早出现时间")
    @TableField("EARLIEST_APPEAR_TIME")
    private Date earliestAppearTime;

    @ApiModelProperty("最晚出现时间")
    @TableField("LATEST_APPEAR_TIME")
    private Date latestAppearTime;

    @ApiModelProperty("预警类型，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    @TableField("TYPE")
    private String type;


    @ApiModelProperty("陌生人员标记，1陌生人 2未登记")
    @TableField("STRANGER_TYPE")
    private String strangerType;


    @ApiModelProperty("人群ID")
    @TableField("CROWD_ID")
    private Long crowdId;

    @ApiModelProperty("人员姓名")
    @TableField("PERSON_NAME")
    private String personName;

    @ApiModelProperty("人员ID")
    @TableField("PERSON_ID")
    private Long personId;


    @ApiModelProperty("连续未出现天数")
    @TableField("CONTINUE_DISAPPEAR_DAYS")
    private Integer continueDisappearDays;


    @ApiModelProperty("处理状态，0未处理，1已处理")
    @TableField("HANDLE_STATUS")
    private int handleStatus;

    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
