package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum ConnectStatusEnum {
    /**
     * 连接未连接
     */
    DISCONNECT("0","未连接"),
    CONNECTED("1","已连接");
    private String value;
    private String name;
    ConnectStatusEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }
    public String getName() {
        return name;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (DISCONNECT.getValue().equals(value)){
            return  DISCONNECT.name;
        }else if (CONNECTED.getValue().equals(value)){
            return  CONNECTED.name;
        }

        return null;
    }

    public static String getNameToValue(String name){
        if (StrUtil.isEmpty(name)){
            return null;
        }
        if (DISCONNECT.getName().equals(name)){
            return  DISCONNECT.value;
        }else if (CONNECTED.getName().equals(name)){
            return  CONNECTED.value;
        }

        return null;
    }
}
