package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum PersonTypeEnum {
    /**
     * 人员类型
     */
    STRANGER("1","陌生人员"),
    KEYNOTE("2","重点人员"),
    COMMUNITY("3","小区人员"),
    EVENING_COMMING("4","昼伏夜出人员");
    private String value;
    private String name;
    PersonTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }

        String names = "";
        String[] types = value.split(",");
        if (types.length > 0){
            for(String type : types){
                if (STRANGER.getValue().equals(type)){
                    names += STRANGER.name + ",";
                } else if (KEYNOTE.getValue().equals(type)){
                    names += KEYNOTE.name + ",";
                } else if (COMMUNITY.getValue().equals(type)){
                    names += COMMUNITY.name + ",";
                } else if (EVENING_COMMING.getValue().equals(type)){
                    names += EVENING_COMMING.name + ",";
                }
            }
        }
        if(names.endsWith(",")) {
            names = names.substring(0,names.length() - 1);
        }
      return names;

    }

    public static String getNameToValue(String name){
        if (StrUtil.isEmpty(name)){
            return null;
        }
        String values = "";
        String[] types = name.split(",");
        if (types.length > 0){
            for(String type : types){
                if (STRANGER.getName().equals(type)){
                    values += STRANGER.value + ",";
                } else if (KEYNOTE.getName().equals(type)){
                    values += KEYNOTE.value + ",";
                } else if (COMMUNITY.getName().equals(type)){
                    values += COMMUNITY.value + ",";
                } else if (EVENING_COMMING.getName().equals(type)){
                    values += EVENING_COMMING.value + ",";
                }
            }
        }
        if(values.endsWith(",")) {
            values = values.substring(0,values.length() - 1);
        }
        return values;

    }
}
