package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum StrangerTypeEnum {
    /**
     * 陌生人员标记
     */
    STRANGER("1","陌生人"),
    NO_REGISTER("2","未登记");
    private String value;
    private String name;
    StrangerTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }

        String names = "";
        String[] types = value.split(",");
        if (types.length > 0){
            for(String type : types){
                if (STRANGER.getValue().equals(type)){
                    names += STRANGER.name + ",";
                } else if (NO_REGISTER.getValue().equals(type)){
                    names += NO_REGISTER.name + ",";
                }
            }
        }
        if(names.endsWith(",")) {
            names = names.substring(0,names.length() - 1);
        }
      return names;

    }
}
