package com.iden.common.enums;


import cn.hutool.core.util.StrUtil;

/**
 * @Author:java
 * @Date: 2021/05/27
 */
public enum WarningTypeEnum {
    /**
     * 预警类型
     */
    STRANGER("1","陌生人员预警"),
    KEYNOTE("2","重点人员预警"),
    RESIDENT("3","常住人员预警"),
    EVENING_COMMING("4","昼伏夜出人员预警");
    private String value;
    private String name;
    WarningTypeEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }

        String names = "";
        String[] types = value.split(",");
        if (types.length > 0){
            for(String type : types){
                if (STRANGER.getValue().equals(type)){
                    names += STRANGER.name + ",";
                } else if (KEYNOTE.getValue().equals(type)){
                    names += KEYNOTE.name + ",";
                } else if (RESIDENT.getValue().equals(type)){
                    names += RESIDENT.name + ",";
                } else if (EVENING_COMMING.getValue().equals(type)){
                    names += EVENING_COMMING.name + ",";
                }
            }
        }
        if(names.endsWith(",")) {
            names = names.substring(0,names.length() - 1);
        }
      return names;

    }
}
