package com.iden.common.exceltool;


import lombok.extern.slf4j.Slf4j;
import org.apache.poi.ss.formula.functions.T;
import org.apache.poi.ss.usermodel.Sheet;

import javax.sql.DataSource;
import java.util.List;

/**
 * @ProjectName: zdkj
 * @Package: com.zdkj.subway.st.exceltools
 * @ClassName: AbstractExcelParser
 * @Description:
 * @Author: kangjian
 * @CreateDate: 2020/1/12 9:32
 * @Version: 1.0
 */
@Slf4j
public class CommonExcelParse extends AbstractExcelParser implements IExcelParser<T> {
    @Override
    public <T> List<T> parse(Sheet sheet, DataSource ds, T obj) {
        List<T> result= null;
        try {
            result = super.importBaseExcel(sheet,obj);
        } catch (Exception e) {
            log.error("",e);
        }
        return result;
    }

    @Override
    public <T> List<T> parse(Sheet sheet, T obj) {
        List<T> result=this.parse(sheet,null,obj);
        return result;
    }
}
