package com.iden.common.exceltool;

import org.apache.poi.ss.usermodel.Sheet;

import javax.sql.DataSource;
import java.util.List;

/**
 * @ProjectName: zdkj
 * @Package: com.zdkj.subway.st.util.exceltools
 * @ClassName: IExcelParser
 * @Description: 该接口为模板数据向标准数据管理中中间表数据导入是做数据转换的统一接口，针对不同
 * 的模板数据实现不同的实现类， 接口提供一个抽象的方法
 *  * {@link IExcelParser parse来解析不同业务文件的数据格式。
 * @Author: kangjian
 * @CreateDate: 2020/1/12 9:12
 * @Version: 1.0
 */
public interface IExcelParser<T> {
    public <T> List<T> parse(Sheet sheet, DataSource ds, T obj);
    public <T> List<T> parse(Sheet sheet, T obj);
}
