package com.iden.common.util;

import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class FileUtil {

    /**
     * 按名称递增排序
     * @param files
     * @return
     */
    public static File[] sortByName(File[] files) {
        if (files == null|| files.length == 0) {
            return files;
        }
        List<File> fileList = new ArrayList<>();
        for (File f : files) {
            fileList.add(f);
        }
        Collections.sort(fileList, new Comparator<File>() {
            @Override
            public int compare(File o1, File o2) {
                return o1.getName().compareTo(o2.getName());
            }
        });
        File[] filesNew = new File[fileList.size()];
        return fileList.toArray(filesNew);
    }


    /**
     * 递归 获取目录下所有文件
     * @return
     */
    public static File[] getFiles (String dir){
        List<File> imgPersonFileList = new ArrayList<>();
        imgPersonFileList = FileUtil.getFiles(new File(dir),imgPersonFileList);
        File[] imgPersonFiles = new File[imgPersonFileList.size()];
        imgPersonFiles = imgPersonFileList.toArray(imgPersonFiles);
        return imgPersonFiles;
    }

    private static List<File> getFiles (File dirFile,List<File> resultFiles){
        File[] files = dirFile.listFiles();
        if(files == null || files.length == 0){
            return resultFiles;// 判断目录下是不是空的
        }
        for (File f : files) {
            if(f.isDirectory()){// 判断是否文件夹
                getFiles(f,resultFiles);// 调用自身,查找子目录
            } else
                resultFiles.add(f);
        }
        return resultFiles;
    }


    public static void main(String[] args) {
        File[] files = new File[]{new File("3"),new File("2"),new File("4")};
        files =  sortByName(files);
        System.out.println(files);
    }
}
