package com.iden.common.util;

import com.google.common.base.Joiner;

import java.util.UUID;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class StringUtil {

    public static String getUUID(){
        return UUID.randomUUID().toString();
    }


    public static String int2chineseNum(int num) {
        String src = String.valueOf(num);

        //定义转换后显示数组
        String[] alabo = {"零", "一", "二", "三", "四", "五", "六", "七", "八", "九"};
        String[] zwhz = {"十", "百", "千", "万", "十", "百", "千", "亿", "十", "百", "千"};
        String digital = "";
        int n = src.length();
        for (int i = 0; i < n; i++) {
            int o = src.charAt(i) - '0';
            if (i != n - 1 && o != 0) {
                digital += alabo[o] + zwhz[n - 2 - i];
            } else {
                digital += alabo[o];
            }
        }
        //把开头一十换成十
        if (digital.indexOf("一十") == 0) {
            digital = digital.substring(1);
        }
        return digital;
    }

    public static String Html2TextFormat(String inputString) {
        String htmlStr = inputString;
        String textStr = "";
        try
        {
            String regEx_script = "<[\\s]*?script[^>]*?>[\\s\\S]*?<[\\s]*?\\/[\\s]*?script[\\s]*?>";
            String regEx_style = "<[\\s]*?style[^>]*?>[\\s\\S]*?<[\\s]*?\\/[\\s]*?style[\\s]*?>";
            String regEx_html = "(?!<(img).*?>)<.*?>";
            Pattern p_script = Pattern.compile(regEx_script, 2);
            Matcher m_script = p_script.matcher(htmlStr);
            htmlStr = m_script.replaceAll("");

            Pattern p_style = Pattern.compile(regEx_style, 2);
            Matcher m_style = p_style.matcher(htmlStr);
            htmlStr = m_style.replaceAll("");

            Pattern p_html = Pattern.compile(regEx_html, 2);
            Matcher m_html = p_html.matcher(htmlStr);
            htmlStr = m_html.replaceAll("");

            textStr = htmlStr;
        }
        catch (Exception e) {
            System.err.println("Html2Text: " + e.getMessage());
        }

        return textStr;
    }

    public static String getRandom(){
       return  System.currentTimeMillis() + String.valueOf((int)((Math.random()*9+1)*1000));
    }

    public static <T> String join(T[] arr, char joiner) {
        return Joiner.on(joiner).skipNulls().join(arr);
    }

    public static boolean isEmpty(String str) {
        return str == null || str.length() == 0;
    }

    public static String substringAfter(String str, String separator) {
        if(isEmpty(str)) {
            return str;
        } else if(separator == null) {
            return "";
        } else {
            int pos = str.indexOf(separator);
            return pos == -1?"":str.substring(pos + separator.length());
        }
    }
}
