package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.util.Date;

/**
 * 图库表(IdenImageStore)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:46
 */

@Data
@ApiModel(value = "图库表", description = "")
public class FaceImageVO implements Serializable {
    private static final long serialVersionUID = -44732106174401548L;

    private Long id;

    @ApiModelProperty("唯一生物学标识")
    private String uid;

    @ApiModelProperty("人脸特征码")
    private String featPtr;

    @ApiModelProperty("数据日期（yyyyMMdd)")
    private String dataDate;

    @ApiModelProperty("图像")
    private String image;


    @ApiModelProperty("摄像头ID")
    private Long cameraId;


    @ApiModelProperty("小区ID")
    private Long communityId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("抓拍时间")
    private Date photographTime;


    @ApiModelProperty("抓拍地点")
    private String photographPlace;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("性别：M：男 W：女")
    private String gender;


    @ApiModelProperty("人员ID")
    private Long personId;

    @ApiModelProperty("类型，1：陌生人员 ，2重点人员，3小区人员，4昼伏夜出人员 多个用逗号分割")
    private String type;

    @ApiModelProperty("类型，1：陌生人员 ，2重点人员，3小区人员，4昼伏夜出人员 多个用逗号分割")
    private String typeName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("相似度")
    private Double similarity;

    @ApiModelProperty("处理报警状态，0未处理，1已处理")
    private int handleWarningStatus;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("createTime")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("modifyTime")
    private Date modifyTime;

    @ApiModelProperty("人员")
    private PersonVO personVO;

}
