package com.iden.common.vo;


import com.alibaba.excel.annotation.ExcelProperty;


import com.alibaba.excel.converters.url.UrlImageConverter;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.io.Serializable;
import java.net.URL;
import java.util.Date;

/**
 * 人员表(IdenPerson)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 17:23:47
 */

@Data
@ApiModel(value = "人员表", description = "")
public class PersonExcelVO implements Serializable {
    private static final long serialVersionUID = -95513090380191735L;


    @ApiModelProperty("人员编码（人员ID）")
    @ExcelProperty("人员编码")
    private String code;


    @ApiModelProperty("姓名")
    @ExcelProperty("姓名")
    private String name;


    @ExcelProperty(value = "图像",converter = UrlImageConverter.class)
    private URL imageUrl;

    @ApiModelProperty("性别")
    @ExcelProperty("性别")
    private String genderName;


    @ApiModelProperty("证件类型")
    @ExcelProperty("证件类型")
    private String credentialsTypeName;

    @ApiModelProperty("证件号码")
    @ExcelProperty("证件号码")
    private String credentialsCode;


    @ApiModelProperty("手机号码")
    @ExcelProperty("手机号码")
    private String phone;


    @ApiModelProperty("人口类型：1：常住人口 2：暂住人口 3：境外长住人口 4：流动人口 5:寄住人口 6: 临时住宿人口 99其他")
    @ExcelProperty("人口类型")
    private String populationTypeName;

    @ApiModelProperty("民族")
    @ExcelProperty("民族")
    private String nation;


    @ApiModelProperty("政治面貌")
    @ExcelProperty("政治面貌")
    private String policitalStatus;


    @ApiModelProperty("婚姻")
    @ExcelProperty("婚姻")
    private String marriage;


    @ApiModelProperty("口音")
    @ExcelProperty("口音")
    private String voice;


    @ApiModelProperty("所属区域")
    @ExcelProperty("所属区域")
    private String district;

    @ApiModelProperty("所属街道")
    @ExcelProperty("所属街道")
    private String subdistrict;


    @ApiModelProperty("所属小区")
    @ExcelProperty("所属小区")
    private String communityName;

    @ApiModelProperty("地址")
    @ExcelProperty("地址")
    private String address;


    @ApiModelProperty("工作单位")
    @ExcelProperty("工作单位")
    private String workPlace;


    @ApiModelProperty("单位地址")
    @ExcelProperty("单位地址")
    private String workAddress;


    @ApiModelProperty("类型名：2、重点人员，3、小区人员，多个用逗号分割")
    @ExcelProperty("类型")
    private String typeName;

    @ApiModelProperty("人群类型，多个用逗号分割")
    @ExcelProperty("人群类型")
    private String crowdName;

    @ApiModelProperty("备注")
    @ExcelProperty("备注")
    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private Date createTime;



}
