package com.iden.common.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 预警人员表(IdenWarningPerson)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-27 12:54:39
 */

@Data
@ApiModel(value = "预警人员表", description = "")
public class WarningPersonVO implements Serializable {
    private static final long serialVersionUID = -29739343678149348L;

    private Long id;

    @ApiModelProperty("唯一生物学标识")
    private String uid;

    @ApiModelProperty("数据日期（yyyyMMdd)")
    private String dataDate;

    @ApiModelProperty("图像")
    private String image;

    @ApiModelProperty("人脸特征码")
    private String featPtr;

    @ApiModelProperty("出现小区id")
    private Long communityId;


    @ApiModelProperty("出现小区编号")
    private String communityCode;


    @ApiModelProperty("出现小区名称")
    private String communityName;


    @ApiModelProperty("出现区域")
    private String district;


    @ApiModelProperty("出现街道")
    private String subdistrict;


    @ApiModelProperty("出现频次")
    private Integer appearFrequency;

    @ApiModelProperty("1月内-7天出现情况，1连续出现，0未连续出现")
    private String isContinue;

    @ApiModelProperty("1月内-7天出现情况，1连续出现，0未连续出现")
    private String isContinueName;

    @ApiModelProperty("最早出现时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date earliestAppearTime;

    @ApiModelProperty("最晚出现时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date latestAppearTime;

    @ApiModelProperty("预警类型，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    private String type;

    @ApiModelProperty("预警类型名称，1 陌生人员预警 2重点人员预警 3常住人员预警 4昼伏夜出人员预警")
    private String typeName;

    @ApiModelProperty("陌生人员标记，1陌生人 2未登记")
    private String strangerType;

    @ApiModelProperty("陌生人员标记，1陌生人 2未登记")
    private String strangerTypeName;

    @ApiModelProperty("人群ID")
    private Long crowdId;

    @ApiModelProperty("人群名称")
    private String crowdName;

    @ApiModelProperty("人员ID")
    private Long personId;

    @ApiModelProperty("人员姓名")
    private String personName;

    @ApiModelProperty("连续未出现天数")
    private Integer continueDisappearDays;

    @ApiModelProperty("处理状态，0未处理，1已处理")
    private int handleStatus;

    @ApiModelProperty("处理状态名，0未处理，1已处理")
    private String handleStatusName;

    @ApiModelProperty("备注")
    private String remark;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;

    @ApiModelProperty("人员VO")
    private PersonVO personVO;

    @ApiModelProperty("获取本人信息：0未获取，1已经获取")
    private int obtainPersonInfo;


}
